using BPA.SAAS.Manage.Application.Device.Dtos.Device;
using BPA.SAAS.Manage.Application.Device.Dtos.ProductTopics;
using BPA.SAAS.Manage.Application.Device.Interface;
using BPA.SAAS.Manage.Core.Base;
using BPA.SAAS.Manage.Core.Product;
using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device
{
    [ApiDescriptionSettings("Device", Tag = "产品Topics")]
    public class ProductTopicsServices: IDynamicApiController, ITransient
    {
        IProductTopicsService _productTopicsService;
        public ProductTopicsServices(IProductTopicsService productTopicsService)
        {
            _productTopicsService=productTopicsService;
        }
        /// <summary>
        /// 分页查询
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/producttopics/page")]
        public async Task<PageUtil> GetProductTopicsPage(ProductTopicsQueryInputDto inputDto)
        {
            return await _productTopicsService.GetProductTopicsPage(inputDto);
        }
        /// <summary>
        /// 查询topics列表
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/producttopics/list")]
        public async Task<List<BPA_ProductTopics>> GetProductTopicList(ProductTopicsQueryDto inputDto)
        {
            return await _productTopicsService.GetProductTopicList(inputDto);
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/producttopics/add")]
        public async Task<bool> AddProductTopics(ProductTopicsBaseDto inputDto)
        {
            return await _productTopicsService.AddProductTopics(inputDto);
        }
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/producttopics/update")]
        public async Task<bool> UpdateProductTopics(ProductTopicsBaseDto inputDto)
        {
            return await _productTopicsService.UpdateProductTopics(inputDto);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="inputList"></param>
        /// <returns></returns>
        [HttpPost("/api/producttopics/delete")]
        public async Task<bool> DelProductTopics(List<string> inputList)
        {
            return await _productTopicsService.DelProductTopics(inputList);
        }
    }
}
